SELECT
    t.Symbol
    , t.LoadDate
    , t.RegularMarketPreviousClose_raw AS Prev
    , t.RegularMarketOpen_raw AS [Open]
    , t.RegularMarketDayHigh_raw AS [High]
    , t.RegularMarketDayLow_raw AS [Low]
    , t.RegularMarketVolume_raw AS [Volume]
    , t.AverageDailyVolume10Day_raw AS [10DAvgVol]
    , t.AverageVolume_raw AS [AvgVol]
    , t.FiftyTwoWeekHigh_raw AS [52High]
    , t.FiftyTwoWeekLow_raw AS [52Low]
    , t.Beta_raw AS Beta
    , t.TrailingPE_raw AS PE
    --, t.ForwardPE_raw AS ForwardPE
    --, t.EpsForward
    , t.ExDividendDate_fmt AS DivDate
    , t.DividendRate_raw AS DivRate
    , t.DividendYield_raw AS DivYield
FROM
    (
        SELECT
            Symbol
            , MAX(LoadDate) AS LoadDate
        FROM
            data
        GROUP BY
            Symbol
    ) s
    INNER JOIN data t ON t.Symbol = s.Symbol AND t.LoadDate = s.LoadDate
